package com.ruoyi.system.domain;

import com.alibaba.fastjson.JSON;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 通用规则对象 act_supplies_convert
 * 
 * @author ruoyi
 * @date 2023-08-29
 */
public class ActSuppliesConvertrole extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 模板id */
    @Excel(name = "模板id")
    private Long tempId;

    /** 模板名称 */
    private String templateName;

    private List<MyListItem> list;

    public List<MyListItem> getList() {
        return list;
    }

    public void setList(List<MyListItem> list) {
        this.list = list;
    }

    /** 导入表行/列/单元格选择 */
    private Long[] ze;
    /** 导入表列坐标 */
    private Long[] ce;
    /** 导入表行坐标 */
    private Long[] re;
    /** 导入表单元格长度 */
    private Long[] le;

    /** 模板表行/列/单元格选择*/
    private Long[] zt;
    /** 模板表列坐标 */
    private Long[] ct;
    /** 模板表行坐标 */
    private Long[] rt;
    /** 模板表单元格长度 */
    private Long[] lt;

    /** 运算方法 */
    private Long[] ys;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String name;

    /** 规则内容 */
    @Excel(name = "规则内容")
    private String content;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTempId(Long tempId) 
    {
        this.tempId = tempId;
    }

    public Long getTempId() 
    {
        return tempId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    public Long[] getZe() {
        return ze;
    }

    public void setZe(Long[] ze) {
        this.ze = ze;
    }

    public Long[] getCe() {
        return ce;
    }

    public void setCe(Long[] ce) {
        this.ce = ce;
    }

    public Long[] getRe() {
        return re;
    }

    public void setRe(Long[] re) {
        this.re = re;
    }

    public Long[] getLe() {
        return le;
    }

    public void setLe(Long[] le) {
        this.le = le;
    }

    public Long[] getZt() {
        return zt;
    }

    public void setZt(Long[] zt) {
        this.zt = zt;
    }

    public Long[] getCt() {
        return ct;
    }

    public void setCt(Long[] ct) {
        this.ct = ct;
    }

    public Long[] getRt() {
        return rt;
    }

    public void setRt(Long[] rt) {
        this.rt = rt;
    }

    public Long[] getLt() {
        return lt;
    }

    public void setLt(Long[] lt) {
        this.lt = lt;
    }

    public Long[] getYs() {
        return ys;
    }

    public void setYs(Long[] ys) {
        this.ys = ys;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tempId", getTempId())
            .append("name", getName())
            .append("content", getContent())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
