package com.ruoyi.system.service.impl;


import com.ruoyi.system.domain.ActSuppliesImportTable;
import com.ruoyi.system.domain.ActSuppliesSixMinesSummaryTable;
import com.ruoyi.system.mapper.ActSuppliesCleaningRuleMapper;

import com.ruoyi.system.service.IActSuppliesCleaningRuleService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 *  清洗规则Service业务层处理
 *
 * @author
 * @date 2023-08-30
 */
@Service
public class ActSuppliesCleaningRuleServiceImpl implements IActSuppliesCleaningRuleService
{
    @Autowired
    private ActSuppliesCleaningRuleMapper actSuppliesCleaningRuleMapper;


    @Override
    public int addActSuppliesSixMinesSummaryTable(ActSuppliesSixMinesSummaryTable actSuppliesSixMinesSummaryTable) {
        return actSuppliesCleaningRuleMapper.addActSuppliesSixMinesSummaryTable(actSuppliesSixMinesSummaryTable);
    }

    @Override
    public int addActSuppliesImportTable(ActSuppliesImportTable actSuppliesImportTable) {
        return actSuppliesCleaningRuleMapper.addActSuppliesImportTable(actSuppliesImportTable);
    }
}
